Bug 34960 - Keywords for quick search on overview page are not localized
Keywords for quick search on overview page are not localized
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-26 10:24 CEST by Alexander Kläser
Modified: 2017-07-05 13:06 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.006
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Internationalization
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2014-05-26 10:24:37 CEST
This seems to be a problem with the handling in dh-umc-module-build, the keywords entered in the .xml file are not listed in the .po files.
Comment 1 Florian Best univentionstaff 2016-10-10 14:21:32 CEST
diff --git a/management/univention-management-console/dev/dh_umc.py b/management/univention-management-console/dev/dh_umc.py
index 75db3fc..9e9387b 100644
--- a/management/univention-management-console/dev/dh_umc.py
+++ b/management/univention-management-console/dev/dh_umc.py
@@ -266,2 +266,3 @@ def _append_po_entry(xml_entry):
                _append_po_entry(tree.find('module/description'))
+               _append_po_entry(tree.find('module/keywords'))
                for flavor in tree.findall('module/flavor'):
@@ -269,2 +270,3 @@ def _append_po_entry(xml_entry):
                        _append_po_entry(flavor.find('description'))
+                       _append_po_entry(flavor.find('keywords'))
                _append_po_entry(tree.find('link/name'))
Comment 2 Johannes Keiser univentionstaff 2017-06-30 14:56:38 CEST
(In reply to Florian Best from comment #1)
> diff --git a/management/univention-management-console/dev/dh_umc.py
> b/management/univention-management-console/dev/dh_umc.py
> index 75db3fc..9e9387b 100644
> --- a/management/univention-management-console/dev/dh_umc.py
> +++ b/management/univention-management-console/dev/dh_umc.py
> @@ -266,2 +266,3 @@ def _append_po_entry(xml_entry):
>                 _append_po_entry(tree.find('module/description'))
> +               _append_po_entry(tree.find('module/keywords'))
>                 for flavor in tree.findall('module/flavor'):
> @@ -269,2 +270,3 @@ def _append_po_entry(xml_entry):
>                         _append_po_entry(flavor.find('description'))
> +                       _append_po_entry(flavor.find('keywords'))
>                 _append_po_entry(tree.find('link/name'))

Applied patch:

r 80681
univention-management-console (9.0.80-51) 
* Bug #34960: Applied patch from Florian Best - Localize keywords for
.
live search on UMC overview page

YAML: r 80682
Comment 3 Florian Best univentionstaff 2017-06-30 15:40:11 CEST
OK: dh-umc-module-build now adds keywords to .po files.
This causes some fuzzies in some modules, the patch for them has also been applied without building the package.
* base/univention-quota/umc/de.po
* management/univention-management-console-module-services/umc/de.po
* management/univention-management-console-module-udm/umc/de.po
* management/univention-system-info/umc/de.po

OK: YAML
Comment 4 Janek Walkenhorst univentionstaff 2017-07-05 13:06:12 CEST
<http://errata.software-univention.de/ucs/4.2/81.html>